Subject: [quicwg/base-drafts] 63e180: Remove requirement for reciprocal connection ID ch...

From: Martin Thomson <[email-masked]>
Date: Mon, 11 Mar 2019 15:51:46 -0700

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: 63e18037753f70bb641b5a77a6c37bceba05baa5
      https://github.com/quicwg/base-drafts/commit/63e18037753f70bb641b5a77a6c37bceba05baa5
  Author: Martin Thomson <[email-masked]>
  Date:   2019-01-30 (Wed, 30 Jan 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove requirement for reciprocal connection ID change

Closes #1795, #2145.

  Commit: 23014c8b8a59be658a5156ae46fcbacc7e681311
      https://github.com/quicwg/base-drafts/commit/23014c8b8a59be658a5156ae46fcbacc7e681311
  Author: ianswett <[email-masked]>
  Date:   2019-01-30 (Wed, 30 Jan 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  remove redundant word

Co-Authored-By: martinthomson <[email-masked]>

  Commit: 48002d0f68802958f856a2a15cb41b079e355e88
      https://github.com/quicwg/base-drafts/commit/48002d0f68802958f856a2a15cb41b079e355e88
  Author: Martin Thomson <[email-masked]>
  Date:   2019-02-05 (Tue, 05 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Editorial changes

  Commit: 13698cbe311922a3995236dda960b4cdff49e36f
      https://github.com/quicwg/base-drafts/commit/13698cbe311922a3995236dda960b4cdff49e36f
  Author: Martin Thomson <[email-masked]>
  Date:   2019-02-05 (Tue, 05 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  New connection IDs are mandatory for intentional migration

I could have sworn we agreed to this previously, but I also can't find
where we captured it.  So here it is.  This was originally an editorial
factoring of text, but I guess it needs to be a design issue now.

Closes #2413.

  Commit: d6fe1014583969a45f91f9e44022f61b87a8a200
      https://github.com/quicwg/base-drafts/commit/d6fe1014583969a45f91f9e44022f61b87a8a200
  Author: Martin Thomson <[email-masked]>
  Date:   2019-02-05 (Tue, 05 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reword zero-length caveat

  Commit: 491d871829800a78661202e642839ab1e97100d8
      https://github.com/quicwg/base-drafts/commit/491d871829800a78661202e642839ab1e97100d8
  Author: Martin Thomson <[email-masked]>
  Date:   2019-02-05 (Tue, 05 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Explain more

  Commit: 96b9fe88ce116bba073406d2f0ac65e02e37254f
      https://github.com/quicwg/base-drafts/commit/96b9fe88ce116bba073406d2f0ac65e02e37254f
  Author: Martin Thomson <[email-masked]>
  Date:   2019-02-06 (Wed, 06 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Editorial changes, stronger MUST

  Commit: 7c2660ecf7a11f42f7950615b9ad80ecdec8d280
      https://github.com/quicwg/base-drafts/commit/7c2660ecf7a11f42f7950615b9ad80ecdec8d280
  Author: Martin Thomson <[email-masked]>
  Date:   2019-02-06 (Wed, 06 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Editorial fix

  Commit: fb9f6904c61e83188813376f8b6be1c09b622b82
      https://github.com/quicwg/base-drafts/commit/fb9f6904c61e83188813376f8b6be1c09b622b82
  Author: Martin Thomson <[email-masked]>
  Date:   2019-02-08 (Fri, 08 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  No connection ID = no migration

  Commit: ac7f3818c75c1abac0c5f0068532cfd5dc636b3a
      https://github.com/quicwg/base-drafts/commit/ac7f3818c75c1abac0c5f0068532cfd5dc636b3a
  Author: Martin Thomson <[email-masked]>
  Date:   2019-02-11 (Mon, 11 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove text, thanks Ian

  Commit: c95b96835c50b65abcf913744bd187ebbd92523e
      https://github.com/quicwg/base-drafts/commit/c95b96835c50b65abcf913744bd187ebbd92523e
  Author: Martin Thomson <[email-masked]>
  Date:   2019-02-12 (Tue, 12 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Ian's suggestion, tweaked

  Commit: c13a9f565df1fee1cbfe12cf17e2923fc5affeea
      https://github.com/quicwg/base-drafts/commit/c13a9f565df1fee1cbfe12cf17e2923fc5affeea
  Author: Martin Thomson <[email-masked]>
  Date:   2019-02-13 (Wed, 13 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Initiate migration

  Commit: 2575888337c3cc6a834297f5dfffa8319ed8205e
      https://github.com/quicwg/base-drafts/commit/2575888337c3cc6a834297f5dfffa8319ed8205e
  Author: Martin Thomson <[email-masked]>
  Date:   2019-03-11 (Mon, 11 Mar 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2414 from quicwg/new-path-new-cid

New connection IDs are mandatory for intentional migration

Compare: https://github.com/quicwg/base-drafts/compare/b2566a134754...2575888337c3